Subject: Re: Root DSE and subschema queries/compares

From: "Jim Sermersheim" <[email-masked]>
Date: Wed, 05 Apr 2000 15:49:55 -0600

That's what I wish to do, I'm just hung up on the language in RFC2251. The last paragraph of section 3.2.2 worries me a bit, and the first paragraph of section 3.4 worries me to a less degree.

I guess what I'm really asking is: If I allow a client to perform compare op's on my root DSE and schema, is that cool? Are they going to run into problems when performing the same operation against other servers (sorry, interop lab isn't up yet)?

Jim

>>> Bruce Greenblatt <[email-masked]> 4/5/00 9:09:19 AM >>>
At 06:31 PM 4/4/2000 -0700, sanjay jain wrote:
>Jim Sermersheim wrote:
[snip]
>> Any feelings on how to do this?
>
>why do you think that compare operation is *not*
>allowed on DSE root and subschema entries ?
>

Can't you just do a compare against the object that is the root you are
looking for, annd supply (supportedControl=1.2.3.4) as your comparison?
Why wouldn't that work?

==============================================
Bruce Greenblatt, Ph. D.
Directory Tools and Application Services, Inc.
http://www.directory-applications.com